#StackBounty: #windows #windows-10 #crash #telemetry Why are Windows 10 crashes not getting reported to Microsoft?

Bounty: 100

I’ve been experiencing frequent Blue Screen of Death crashes on my Windows 10 PC, and the error message suggests the issue is the video driver. The exact nature of the problem isn’t important to my question, but I want to make sure Microsoft and their partners get as much data about the problem as possible so they can hopefully fix it. However, whenever I use Problem Report Viewer to check the diagnostic data for recent crashes, it always says that Windows errors have a status of "Not Reported".

Screenshot of Problem Report Viewer

The list of problems in the above screenshot is somewhat short, because I recently reinstalled Windows in an attempt to fix my problems. However, before the reinstall, I would often see several weeks worth of unexpected shutdown errors listed here, all with a status of "Not reported".

My question is, why are these reports not getting sent? Can I manually send this data to Microsoft or another hardware vendor somehow? Is there a setting in Windows that might be affecting this?


Get this bounty!!!

#StackBounty: #windows-10 #internet #crash #download #network-adapter My computer network interface is crashing while downloading

Bounty: 100

As title says my computer network interface is crashing while downloading.

I’m on Windows 10. My motherboard is asus p8h77-m pro.

I can use my computer and internet as normal, I never experienced this problem before, sometimes "micro crash" but once a month and seconds… but now I have a best connection, I had 10mbps and now 600mbps.

The moment I start a download, seconds after, my network crash, but it’s not my home internet because I can still use internet in other devices I tested that. Then if I wait some seconds the internet comes back, and eventually crash again.

I need help to try to fix this problem or try to see what’s going on but I don’t know where to start.


Get this bounty!!!

#StackBounty: #crash #launchpad #error-handling #apport How to make sure an error listed at https://errors.ubuntu.com/ gets a bug repor…

Bounty: 100

When some program crashes and an automatically generated error report is sent as discussed here What happens when I click "Send" after Ubuntu experienced an internal error? then the error report is added to the info shown at https://errors.ubuntu.com/ where the most frequent errors are shown at the top of the list.

The rightmost column in the list at https://errors.ubuntu.com/ is "Bug report" and for most of the common errors there is a bug report number there, and by clicking on that we can see the status and discussion regarding that bug report, which is great. But for some of the most common errors, the "Bug report" column is empty.

To me it seems like there should be a corresponding bug report for each error, especially for those errors that have hundreds or thousands of occurrences per day. Should I create a bug report in case the "Bug report" column is empty?

If I do that, how can I make sure my bug report is properly linked to the error reports on the https://errors.ubuntu.com/ page?

Edit: as an example, consider the error "seahorse (seahorse) glib-watch.c → 195 → timeout_update → Assertion `!t->dead” failed." that is currently listed at https://errors.ubuntu.com/ with Rank 9, with 225 occurrences during the past day. This particular error happens on my computer every few days, I usually choose to send an error report so I expect that my reports are then seen as additional occurrences of the error in that list. But there is no linked bug report, which makes me worry that developers of the seahorse package are still not aware of it. The same error has been occurring for more than a year, which also makes me think the developers are unaware of it, otherwise they would have done something about it by now. The question is then, what should be done to make sure there is a bug report what the developers become aware of? Note however that my question is mostly about how this is meant to work in general, this particular seahorse error is just an example, I’m interested in that case but even more interested in understanding how this works in general.


Get this bounty!!!

#StackBounty: #kernel #bluetooth #crash "Kernal oops" with everything to do with bluetooth

Bounty: 50

Disclaimer, bluetooth may not be the problem, however the message box pops up after every pactl load-module module-bluetooth-discover command.

the dump file is below:

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Date: Sun Mar  3 11:10:03 2019
Failure: oops
OopsText:
 BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
 IP: klist_next+0x16/0xd0
 PGD 0 P4D 0 
 Oops: 0000 [#1] SMP PTI
 Modules linked in: rfcomm msr vmnet(OE) vmw_vsock_vmci_transport vsock vmw_vmci vmmon(OE) cmac bnep nls_iso8859_1 btusb btrtl btbcm btintel bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core ecdh_generic videodev media snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek snd_hda_codec_generic snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core kvm_intel snd_soc_sst_dsp kvm irqbypass crct10dif_pclmul snd_soc_sst_ipc snd_soc_acpi crc32_pclmul snd_soc_core ghash_clmulni_intel snd_compress ac97_bus snd_pcm_dmaengine pcbc snd_hda_intel wl(PO) snd_hda_codec snd_hda_core snd_hwdep snd_pcm aesni_intel aes_x86_64 crypto_simd glue_helper snd_seq_midi cryptd snd_seq_midi_event intel_cstate intel_rapl_perf hp_wmi cfg80211 input_leds
  joydev snd_rawmidi serio_raw rtsx_pci_ms memstick sparse_keymap wmi_bmof intel_wmi_thunderbolt snd_seq snd_seq_device snd_timer shpchp snd soundcore idma64 processor_thermal_device virt_dma mei_me int340x_thermal_zone intel_lpss_pci mei intel_soc_dts_iosf int3400_thermal intel_lpss acpi_pad acpi_thermal_rel intel_pch_thermal mac_hid hp_wireless sch_fq_codel parport_pc ppdev lp parport ip_tables x_tables autofs4 mmc_block hid_holtek_mouse usbhid hid i915 i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops psmouse drm rtsx_pci ahci libahci wmi pinctrl_sunrisepoint video
 CPU: 2 PID: 762 Comm: kworker/u9:2 Tainted: P        W  OE    4.15.0-45-generic #48-Ubuntu
 Hardware name: HP HP ENVY Notebook/80DF, BIOS F.35 03/04/2016
 Workqueue: hci0 hci_rx_work [bluetooth]
 RIP: 0010:klist_next+0x16/0xd0
 RSP: 0000:ffffa67880ba3ca0 EFLAGS: 00010282
 RAX: 0000000000000000 RBX: ffff98c3b12f9800 RCX: 0000000000000000
 RDX: ffffffffc1083e80 RSI: ffffa67880ba3cd0 RDI: 0000000000000000
 RBP: ffffa67880ba3cc0 R08: 00000000000002b6 R09: 0000000000000000
 R10: 0000000000000000 R11: 00000000000002b6 R12: ffffa67880ba3cd0
 R13: ffffffffc1083e80 R14: 0000000000000000 R15: ffff98c3b12f9800
 FS:  0000000000000000(0000) GS:ffff98c3f1d00000(0000) knlGS:0000000000000000
 CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
 CR2: 0000000000000020 CR3: 000000011840a004 CR4: 00000000003606e0
 Call Trace:
  ? bt_link_release+0x20/0x20 [bluetooth]
  device_find_child+0x5c/0xb0
  ? bt_link_release+0x20/0x20 [bluetooth]
  hci_conn_del_sysfs+0x54/0xa0 [bluetooth]
  hci_conn_cleanup+0x92/0x140 [bluetooth]
  hci_conn_del+0xf1/0x1f0 [bluetooth]
  hci_event_packet+0xe1b/0x2ae0 [bluetooth]
  ? __switch_to_asm+0x40/0x70
  ? __switch_to_asm+0x34/0x70
  hci_rx_work+0x18d/0x380 [bluetooth]
  ? hci_rx_work+0x18d/0x380 [bluetooth]
  process_one_work+0x1de/0x410
  worker_thread+0x32/0x410
  kthread+0x121/0x140
  ? process_one_work+0x410/0x410
  ? kthread_create_worker_on_cpu+0x70/0x70
  ? do_syscall_64+0x115/0x130
  ret_from_fork+0x35/0x40
 Code: 00 0f 1f 40 00 5b 41 5c 41 5d 5d c3 66 0f 1f 84 00 00 00 00 00 55 48 89 e5 41 56 41 55 41 54 49 89 fc 53 48 8b 3f 4d 8b 74 24 08 <4c> 8b 6f 20 e8 61 1e 02 00 4d 85 f6 74 6f 49 8b 46 08 49 8d 7e 
 RIP: klist_next+0x16/0xd0 RSP: ffffa67880ba3ca0
 CR2: 0000000000000020
 ---[ end trace 5adb8f6dbbc36567 ]---

Package: linux-image-4.15.0-45-generic 4.15.0-45.48
SourcePackage: linux
Tags: kernel-oops
Uname: Linux 4.15.0-45-generic x86_64


Get this bounty!!!

#StackBounty: #18.04 #software-installation #keyboard #skype #crash skypeforlinux crashes the keyboard

Bounty: 50

I recently installed Ubuntu 18.0.4 and after that skypeforlinux in several ways. I can use Skype to type messages, everything its OK, but when I make a call it crashes the keyboard. After that, I can’t do anything on the keyboard. I have to sign out or quit from Skype to get back to normal. I googled it and didn’t find anything similar. Is it just me?

my PC is Lenovo thinkpad L470 , I installed Ubuntu 18.0.4 and the latest version of Skype.

If anyone could help I would appreciate it a lot and if you want any other information about the environment let me know.

Thanks a lot


Get this bounty!!!

#StackBounty: #dual-boot #18.04 #nvidia #crash #nvidia-geforce Ubtunu 18.04 crashes or freezes after login (Dual boot, nvidia graphics)

Bounty: 50

I have a dual boot system (Ubuntu 18.04 and Windows 10) and most the time it works fine, but occasionally at startup, after selecting Ubuntu from Grub Boot and logging in) the system will crash and I’m presented with the following output

/dev/nvme0n1p5: clean, XXX/XXX files, XXX/XXX blocks
[195.544151] ucsi_ccg 0-0008: failed to reset PPM!
[195.544179] ucsi_ccg 0-0008: PPM Init failed (-110)

Or:

/dev/nvme0n1p5: recovering journal
/dev/nvme0n1p5: clearning orphaned inode XXX (uid=XXX, gid=XXX, mode=XXX, size=XXX
...
/dev/nvme0n1p5: clean, XXX/XXX files, XXX/XXX blocks

Sometimes the system just freezes and I’m unable to do anything at all.

Windows was installed first, then Ubuntu afterwards. I did have to modify the kernel parameters to be able to actually use the Ubuntu installer:

quiet splash nomodeset reboot=warm,acpi

After Ubuntu finished installing I also downloaded / updated the Additional Drivers to use NVIDIA driver metapackage from nvidia-driver-435(proprietary, tested)

Specs / Equipment:

  • Ubuntu 18.04.4 LTS Dual Booted (Windows 10 Pro N)
  • AMD Ryzen 3700x
  • 8-core processor * 16
  • GeForce RTX 2070 SUPER/PCIe/SSE2
  • 64-bit
  • Logitech G915 Wireless Keyboard
  • Logitech G703 Wireless Mouse
  • Corsair HS70 Wireless Headset

Note: Windows works fine, no issues


Get this bounty!!!

#StackBounty: #android #qt #crash #app-startup Qt based android application is crashing during startup on one specific device. "dl…

Bounty: 100

My application is crashing during startup only on one specific device: Huawei Tablet AGS2-W09. Qt 5.12.3.

I have a logcat dump from device:

07-01 10:53:09.327  6135  6156 E AndroidRuntime: java.lang.UnsatisfiedLinkError: dlopen failed: file offset for the library "/data/data/pl.domain.appname/qt-reserved-files/plugins/platforms/android/libqtforandroid.so" >= file size: 0 >= 0
07-01 10:53:09.327  6135  6156 E AndroidRuntime:    at java.lang.Runtime.load0(Runtime.java:928)
07-01 10:53:09.327  6135  6156 E AndroidRuntime:    at java.lang.System.load(System.java:1624)
07-01 10:53:09.327  6135  6156 E AndroidRuntime:    at org.qtproject.qt5.android.QtNative$2.run(QtNative.java:183)
07-01 10:53:09.327  6135  6156 E AndroidRuntime:    at org.qtproject.qt5.android.QtThread$2.run(QtThread.java:87)
07-01 10:53:09.327  6135  6156 E AndroidRuntime:    at org.qtproject.qt5.android.QtThread$1.run(QtThread.java:61)
07-01 10:53:09.327  6135  6156 E AndroidRuntime:    at java.lang.Thread.run(Thread.java:784)
07-01 10:53:09.330  1184  1922 W ActivityManager:   Force finishing activity pl.domain.appname/.AppActivity

What could I do next to find the problem?


Get this bounty!!!

#StackBounty: #android #firebase #unity3d #exception #crash Unity-Android-App Crashes when Run First Time but From Second Time it Works…

Bounty: 50

I have implemented Firebase Analytics and Firebase Messaging after download the plugin from Google we site and successfully running the Resolvers.
The problem is after build when App is Run FIRST TIME it crashes with the following error but from 2nd time onwards the app does not crash
Here is the log

FATAL EXCEPTION: main
    Process: com.lemontart.flying.robot.car.transformation, PID: 27861
    java.lang.RuntimeException: Unable to instantiate service com.google.firebase.messaging.cpp.ListenerService: java.lang.ClassNotFoundException: Didn't find class "com.google.firebase.messaging.cpp.ListenerService" on path: DexPathList[[zip file "/system/framework/org.apache.http.legacy.boot.jar", zip file "/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk"],nativeLibraryDirectories=[/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/lib/arm, /data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk!/lib/armeabi-v7a, /system/lib]]
        at android.app.ActivityThread.handleCreateService(ActivityThread.java:3654)
        at android.app.ActivityThread.access$1500(ActivityThread.java:207)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1764)
        at android.os.Handler.dispatchMessage(Handler.java:106)
        at android.os.Looper.loop(Looper.java:193)
        at android.app.ActivityThread.main(ActivityThread.java:6863)
        at java.lang.reflect.Method.invoke(Native Method)
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:537)
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:858)
     Caused by: java.lang.ClassNotFoundException: Didn't find class "com.google.firebase.messaging.cpp.ListenerService" on path: DexPathList[[zip file "/system/framework/org.apache.http.legacy.boot.jar", zip file "/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk"],nativeLibraryDirectories=[/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/lib/arm, /data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk!/lib/armeabi-v7a, /system/lib]]
        at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:169)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:379)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)
        at android.app.AppComponentFactory.instantiateService(AppComponentFactory.java:103)
        at android.app.ActivityThread.handleCreateService(ActivityThread.java:3649)
        at android.app.ActivityThread.access$1500(ActivityThread.java:207) 
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1764) 
        at android.os.Handler.dispatchMessage(Handler.java:106) 
        at android.os.Looper.loop(Looper.java:193) 
        at android.app.ActivityThread.main(ActivityThread.java:6863) 
        at java.lang.reflect.Method.invoke(Native Method) 
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:537) 
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:858) 
        Suppressed: java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/firebase/messaging/FirebaseMessagingService;
        at java.lang.VMClassLoader.findLoadedClass(Native Method)
        at java.lang.ClassLoader.findLoadedClass(ClassLoader.java:738)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:363)
                ... 11 more
     Caused by: java.lang.ClassNotFoundException: com.google.firebase.messaging.FirebaseMessagingService
        at java.lang.VMClassLoader.findLoadedClass(Native Method)
        at java.lang.ClassLoader.findLoadedClass(ClassLoader.java:738)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:363)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)
                ... 14 more
     Caused by: java.lang.IllegalAccessError: Class com.google.firebase.iid.zzb extended by class com.google.firebase.messaging.FirebaseMessagingService is inaccessible (declaration of 'com.google.firebase.messaging.FirebaseMessagingService' appears in base.apk)
                ... 14 more
2019-05-17 12:55:18.960 27861-27861/? E/AndroidRuntime: FATAL EXCEPTION: main
    Process: com.lemontart.flying.robot.car.transformation, PID: 27861
    java.lang.Error: FATAL EXCEPTION [main]
    Unity version     : 2018.3.14f1
    Device model      : OnePlus ONEPLUS A5000
    Device fingerprint: OnePlus/OnePlus5/OnePlus5:9/PKQ1.180716.001/1904191514:user/release-keys

    Caused by: java.lang.RuntimeException: Unable to instantiate service com.google.firebase.messaging.cpp.ListenerService: java.lang.ClassNotFoundException: Didn't find class "com.google.firebase.messaging.cpp.ListenerService" on path: DexPathList[[zip file "/system/framework/org.apache.http.legacy.boot.jar", zip file "/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk"],nativeLibraryDirectories=[/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/lib/arm, /data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk!/lib/armeabi-v7a, /system/lib]]
        at android.app.ActivityThread.handleCreateService(ActivityThread.java:3654)
        at android.app.ActivityThread.access$1500(ActivityThread.java:207)
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1764)
        at android.os.Handler.dispatchMessage(Handler.java:106)
        at android.os.Looper.loop(Looper.java:193)
        at android.app.ActivityThread.main(ActivityThread.java:6863)
        at java.lang.reflect.Method.invoke(Native Method)
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:537)
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:858)
     Caused by: java.lang.ClassNotFoundException: Didn't find class "com.google.firebase.messaging.cpp.ListenerService" on path: DexPathList[[zip file "/system/framework/org.apache.http.legacy.boot.jar", zip file "/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk"],nativeLibraryDirectories=[/data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/lib/arm, /data/app/com.lemontart.flying.robot.car.transformation-EVwlnR7Mxf4TO-7_HvK44w==/base.apk!/lib/armeabi-v7a, /system/lib]]
        at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:169)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:379)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)
        at android.app.AppComponentFactory.instantiateService(AppComponentFactory.java:103)
        at android.app.ActivityThread.handleCreateService(ActivityThread.java:3649)
        at android.app.ActivityThread.access$1500(ActivityThread.java:207) 
        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:1764) 
        at android.os.Handler.dispatchMessage(Handler.java:106) 
        at android.os.Looper.loop(Looper.java:193) 
        at android.app.ActivityThread.main(ActivityThread.java:6863) 
        at java.lang.reflect.Method.invoke(Native Method) 
        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:537) 
        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:858) 
        Suppressed: java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/firebase/messaging/FirebaseMessagingService;
        at java.lang.VMClassLoader.findLoadedClass(Native Method)
        at java.lang.ClassLoader.findLoadedClass(ClassLoader.java:738)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:363)

I an see there are all the jars and aars present it the project, still I am not able to figure our the problem.
Here is my gradle file

// GENERATED BY UNITY. REMOVE THIS COMMENT TO PREVENT OVERWRITING WHEN EXPORTING AGAIN

buildscript {
    repositories {
        google()
        jcenter()
    }

    dependencies {
        classpath 'com.android.tools.build:gradle:3.2.0'
**BUILD_SCRIPT_DEPS**}
}

allprojects {
    repositories {
        google()
        jcenter()
        flatDir {
            dirs 'libs'
        }
    }
}

// Android Resolver Repos Start
allprojects {
    repositories {
        maven {
            url "https://maven.google.com"
        }
        maven {
            url "https://maven.google.com/" // Assets/Consoliads/Editor/ConsoliAdsDependencies.xml:7
        }
        maven {
            url "file:////Volumes/JawadData/Unity%20Projects/Consoli%204.6.2%20Unity%202018/Assets/Firebase/m2repository" // Assets/Firebase/Editor/AnalyticsDependencies.xml:22, Assets/Firebase/Editor/AppDependencies.xml:22
        }
        mavenLocal()
        jcenter()
        mavenCentral()
    }
}
// Android Resolver Repos End
apply plugin: 'com.android.application'
**APPLY_PLUGINS**

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:multidex:1.0.1'

**DEPS**}

android {
    compileSdkVersion **APIVERSION**
    buildToolsVersion '**BUILDTOOLS**'

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    defaultConfig {
        multiDexEnabled true
        minSdkVersion **MINSDKVERSION**
        targetSdkVersion **TARGETSDKVERSION**
        applicationId '**APPLICATIONID**'
        ndk {
            abiFilters **ABIFILTERS**
        }
        versionCode **VERSIONCODE**
        versionName '**VERSIONNAME**'
    }

    lintOptions {
        abortOnError false
    }

    aaptOptions {
        noCompress = ['.unity3d', '.ress', '.resource', '.obb'**STREAMING_ASSETS**]
    }**SIGN**

    buildTypes {
        debug {
            minifyEnabled **MINIFY_DEBUG**
            useProguard **PROGUARD_DEBUG**
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-unity.txt'**USER_PROGUARD**
            jniDebuggable true
        }
        release {
            minifyEnabled **MINIFY_RELEASE**
            useProguard **PROGUARD_RELEASE**
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-unity.txt'**USER_PROGUARD****SIGNCONFIG**
        }
    }**PACKAGING_OPTIONS****SPLITS**
**BUILT_APK_LOCATION**
    bundle {
        language {
            enableSplit = false
        }
        density {
            enableSplit = false
        }
        abi {
            enableSplit = true
        }
    }
}**SPLITS_VERSION_CODE****REPOSITORIES****SOURCE_BUILD_SETUP**

I need to fix this issue, please help it will be highly appreciated.
Thanks


Get this bounty!!!

#StackBounty: #android #unity3d #crash #admob #android-9.0-pie Android 9 Pie crash (com.google.android.gms… ClassNotFoundException)

Bounty: 150

I have a Unity3D game published on Android, and it have worked well so far.
However, the Android Vitals Dashboard is now reporting a lot of crashes. Here’s the detailed info:

By Android version: Android 9   4500    100.0%

Stacktrace:

java.lang.Error: FATAL EXCEPTION [Thread-360]
Unity version     : 2017.3.1p3
Device model      : Google Pixel
Device fingerprint: google/sailfish/sailfish:9/PQ2A.190305.002/5240760:user/release-keys
Caused by
  at lt.b (com.google.android.gms.policy_ads_fdr_dynamite@30000@30000.238272502.238272502:2)
  at ls.a (com.google.android.gms.policy_ads_fdr_dynamite@30000@30000.238272502.238272502:1)
  at lu.a (com.google.android.gms.policy_ads_fdr_dynamite@30000@30000.238272502.238272502:18)
  at com.google.android.gms.ads.internal.util.ar.a (com.google.android.gms.policy_ads_fdr_dynamite@30000@30000.238272502.238272502:10)
  at kx.a (com.google.android.gms.policy_ads_fdr_dynamite@30000@30000.238272502.238272502:7)
  at kx.run (com.google.android.gms.policy_ads_fdr_dynamite@30000@30000.238272502.238272502:2)
Caused by: java.lang.ClassNotFoundException: 
  at dalvik.system.BaseDexClassLoader.findClass (BaseDexClassLoader.java:134)
  at java.lang.ClassLoader.loadClass (ClassLoader.java:379)
  at ac.loadClass (com.google.android.gms.dynamite_dynamiteloader@16089081@16.0.89 (100400-239467275):4)
  at java.lang.ClassLoader.loadClass (ClassLoader.java:312)

My AndroidResolverDependencies.xml file:

<dependencies>
  <packages>
    <package>com.android.support:customtabs:[26.0.0, 27.2.0[</package>
    <package>com.android.support:support-v4:[26.0.0, 27.2.0[</package>
    <package>com.google.android.gms:play-services-ads:17.2.0</package>
    <package>com.google.android.gms:play-services-analytics:11.8.0</package>
    <package>com.google.android.gms:play-services-base:[10.2.1, 12.1.0[</package>
    <package>com.google.android.gms:play-services-location:[10.2.1, 12.1.0[</package>
    <package>com.google.firebase:firebase-messaging:[10.2.1, 12.1.0[</package>
  </packages>
  <files>
    <file>Assets/Plugins/Android/android.arch.core.common-1.1.0.jar</file>
    <file>Assets/Plugins/Android/android.arch.core.runtime-1.1.0.aar</file>
    <file>Assets/Plugins/Android/android.arch.lifecycle.common-1.1.0.jar</file>
    <file>Assets/Plugins/Android/android.arch.lifecycle.livedata-core-1.1.0.aar</file>
    <file>Assets/Plugins/Android/android.arch.lifecycle.runtime-1.1.0.aar</file>
    <file>Assets/Plugins/Android/android.arch.lifecycle.viewmodel-1.1.0.aar</file>
    <file>Assets/Plugins/Android/com.android.support.customtabs-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.android.support.support-annotations-27.1.1.jar</file>
    <file>Assets/Plugins/Android/com.android.support.support-compat-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.android.support.support-core-ui-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.android.support.support-core-utils-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.android.support.support-fragment-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.android.support.support-media-compat-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.android.support.support-v4-27.1.1.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-ads-17.2.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-ads-base-17.2.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-ads-identifier-16.0.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-ads-lite-17.2.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-analytics-16.0.8.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-analytics-impl-16.0.8.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-base-16.1.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-basement-16.2.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-gass-17.2.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-location-16.0.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-measurement-base-16.3.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-measurement-sdk-api-16.3.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-places-placereport-16.0.0.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-stats-16.0.1.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-tagmanager-v4-impl-16.0.8.aar</file>
    <file>Assets/Plugins/Android/com.google.android.gms.play-services-tasks-16.0.1.aar</file>
    <file>Assets/Plugins/Android/com.google.auto.value.auto-value-annotations-1.6.jar</file>
    <file>Assets/Plugins/Android/com.google.firebase.firebase-common-16.1.0.aar</file>
    <file>Assets/Plugins/Android/com.google.firebase.firebase-iid-17.1.2.aar</file>
    <file>Assets/Plugins/Android/com.google.firebase.firebase-iid-interop-16.0.1.aar</file>
    <file>Assets/Plugins/Android/com.google.firebase.firebase-measurement-connector-17.0.1.aar</file>
    <file>Assets/Plugins/Android/com.google.firebase.firebase-messaging-17.6.0.aar</file>
  </files>
</dependencies>
Target API level: 28
Minimum API level: 16

I’ve seen a similar thread in Google AdMob’s discussion group suggesting to add the following to the AndroidManifest.xml file:

<uses-library android:name="org.apache.http.legacy" android:required="false" />

However:

  1. I’m not sure the problem is caused by any apache-related API.
  2. I’m afraid this will restrict the number of installs in my app since it will be available to a smaller audience in Google Play due to the uses-library declaration.


Get this bounty!!!